Skip to main content
Procore (en-GB)

Getting Started

Overview

This guide provides recommendations on best practices and tutorials for getting started.

 Note

The Procore iOS app currently requires iOS 14 or later (Beta OS versions are not supported).

If your iPhone or iPad is using iOS 13, refer to Procore iOS App: No Longer Providing Updates for iOS 13 for more information. 


Download on the App Store

Download Procore for iOS

Settings